import { createConnection } from 'promise-mysql';
import ServiceManager from '../../classes/ServiceManager';

const DbServiceMiddleware = function (req, res, next) {
  const config = ServiceManager.get('Config');
  ServiceManager.set('Db', createConnection(config.db));
  next();
};
export default DbServiceMiddleware;
