import graphqlHTTP from 'express-graphql';
import ServiceManager from '../../classes/ServiceManager';
import schema from '../../schema';

const GraphQlMiddleware = function (req, res, next) {
  const app = ServiceManager.get('App');
  app.express.use(app.config.app.route, graphqlHTTP({
    schema,
    graphiql: true,
  }));
  next();
};
export default GraphQlMiddleware;
