import {
  GraphQLObjectType,
  GraphQLInt,
  GraphQLString
} from 'graphql';

const CategoryType = new GraphQLObjectType({
  name: 'Category',
  description: 'Category Post',
  fields: () => ({
    id: {
      type: GraphQLInt,
      description: 'The category ID',
      resolve: obj => obj.id
    },
    name: {
      type: GraphQLString,
      description: 'The name category',
      resolve: obj => obj.name
    },

  })
});

export default CategoryType;
