import AbstractDbAdapter from '../AbstractDbAdapter';

class CategoryRepository extends AbstractDbAdapter {
  static async getCategory(id) {
    const result = await this.query(`SELECT * FROM ${this._table} WHERE id = ${id}`);
    return result.length > 0 ? result.shift() : null;
  }

  static async getCategories(ids) {
    let where = null;
    if (ids) {
      where = ` WHERE id in (${ids})`;
    }
    const result = await this.query(`SELECT * FROM ${this._table}${where}`);
    return result.length > 0 ? result : null;
  }
}
CategoryRepository._table = 'category';
export default CategoryRepository;
