import AbstractDbAdapter from '../AbstractDbAdapter';

class PostRepository extends AbstractDbAdapter {
  static async getPost(id) {
    const result = await this.query(`SELECT * FROM ${this._table} WHERE id = ${id}`);
    return result.length > 0 ? result.shift() : null;
  }
  
  static async getPosts(ids) {
    let where = null;
    if (ids) {
      where = ` WHERE id in (${ids})`;
    }
    const result = await this.query(`SELECT * FROM ${this._table}${where}`);
    return result.length > 0 ? result : null;
  }
}
PostRepository._table = 'posts';
export default PostRepository;
